Bug 805188 - [RFE] "ipa migrate-ds" ldapsearches with scope=1
Summary: [RFE] "ipa migrate-ds" ldapsearches with scope=1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Martin Kosek
QA Contact: Namita Soman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-20 16:19 UTC by Dmitri Pal
Modified: 2019-09-12 07:41 UTC (History)
4 users (show)

Fixed In Version: ipa-4.2.0-0.1.alpha1.el7
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-19 12:00:20 UTC
Target Upstream Version:


Attachments (Terms of Use)
ipa-migrate-ds-scope.log (3.30 KB, text/plain)
2015-09-23 10:05 UTC, Abhijeet Kasurde
no flags Details
subtree.ldif (5.40 KB, text/plain)
2015-09-23 10:08 UTC, Abhijeet Kasurde
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:2362 0 normal SHIPPED_LIVE ipa bug fix and enhancement update 2015-11-19 10:40:46 UTC

Description Dmitri Pal 2012-03-20 16:19:32 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/freeipa/ticket/2547

Hi,
as I reported on the mailing list:
https://www.redhat.com/archives/freeipa-users/2012-March/msg00191.html

The migrate-ds procedure assume that on the source LDAP server ou=people and ou=groups subtrees are flat (they are actually searched with scope=1) while, for example in my deploy, there could be a lot of nested OUs under which to find entries.

I would like the possibility to search in nested ou's.

Comment 2 Petr Vobornik 2015-06-05 17:33:45 UTC
Fixed upstream
master:
https://fedorahosted.org/freeipa/changeset/a57998f51eb8b62052fe021a68503eed4714c6d3

Comment 5 Abhijeet Kasurde 2015-09-23 10:05:02 UTC
Created attachment 1076147 [details]
ipa-migrate-ds-scope.log

Comment 6 Abhijeet Kasurde 2015-09-23 10:08:22 UTC
Created attachment 1076149 [details]
subtree.ldif

Comment 7 Abhijeet Kasurde 2015-09-23 10:09:19 UTC
Verified.

IPA server version : ipa-server-4.2.0-11.el7.x86_64

Comment 8 errata-xmlrpc 2015-11-19 12:00:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-2362.html


Note You need to log in before you can comment on or make changes to this bug.